Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Interface DynamicUserAcl

All Superinterfaces:
  BasicRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

    public interface DynamicUserAcl

extends BasicRealm

Supports the dynamic creation of ACLs for owned resources. Rather than being able to create arbitrary ACLs, the newUserAcl member function creates a new ACL that refines an existing ACL by adding permissions for the current user. This allows everyone to create standard ACLs for resources they created themselves.

Method Summary
`void` | `newUserAcl(String newName, char separator, Permission[] permissions)` Deprecated. Adds a new Acl to a Realm that grants the current user permissions.

Methods inherited from interface weblogic.security.acl.BasicRealm
`getAcl, getAcl, getAclOwner, getGroup, getName, getPermission, getUser, getUser, init, load, save`

Method Detail

### newUserAcl

    void newUserAcl(String newName,
                    char separator,
                    Permission[] permissions)
                    throws SecurityException

  Deprecated.
  Adds a new Acl to a Realm that grants the current user permissions. Throws a security exception if an Acl by that name already exists or the current thread is not auditable. The permissions are added to the entries found in the default Acl obtained by `getAcl(newName, separator)`.

  Parameters:
    `newName` - Name of Acl to be added
    `separator` - Character separator for an Acl hierarchy
    `permissions` - Array of permissions to add to the Acl
  Throws:
    `SecurityException` - if the Acl cannot be added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD